<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2012 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2012	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php 
    
$query_zahl_methode = go_db_query("SELECT payment_class, attendees_name FROM " . DB_TBL_ORDERS . " WHERE orders_id = '$oID'"); 
$zahl_methode_werte = go_db_fetch_array($query_zahl_methode); 
$zahl_methode = $zahl_methode_werte['payment_class'];
$kunden_name = $zahl_methode_werte['attendees_name'];

    if (isset($paypal_transaction_code)) {
		go_db_query("UPDATE ". DB_TBL_ORDERS ." SET cc_number = '".$paypal_transaction_code."' WHERE orders_id = ".$oID);
    }
    
    echo go_fetch_form('order', go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_20], 'action=update', 'SSL')); ?><table border="0" style="width:100%" cellspacing="0" cellpadding="0">
      <tr>
        <td><table border="0" style="width:100%" cellspacing="4" cellpadding="2">
          <tr>
            <td valign="top"></td>
            <td valign="top" class="main"><?php echo go_fetch_dividing_up('tranparentes.gif', '1', '10'); ?><div align="center" class="pageGeneralsign">
            
            <?php 
		if ($zahl_methode == "moneyorder"){
			echo ABOVE_TITLE_VORKASSE;
		}  
		else{              
      echo ABOVE_TITLE; 
    }
            
            ?>
            
            </div><br><?php 
		
		if ($zahl_methode == "moneyorder"){
			$text2 = TEXT_SUCCESS_VORKASSE;
			          
			$text2 = preg_replace('/<-BANKNAME->/', OWNER_BANK_NAME, $text2);
			$text2 = preg_replace('/<-KONTOINHABER->/', OWNER_BANK_MEMBER, $text2);
			$text2 = preg_replace('/<-BLZ->/', SHOP_OWNER_BLZ, $text2);
			$text2 = preg_replace('/<-KONTONUMMER->/', OWNER_BANK, $text2);
			$text2 = preg_replace('/<-SWIFT->/', OWNER_BANK_SWIFT, $text2);
			$text2 = preg_replace('/<-IBAN->/', OWNER_BANK_IBAN, $text2);  
			
			$query_gesamtpreis = go_db_query("SELECT text FROM ".DB_TBL_ORDERS_TOTAL." WHERE class = 'ot_total' AND orders_id = $oID"); 
			$gesamtpreis_werte = go_db_fetch_array($query_gesamtpreis); 
			$finaler_preis = $gesamtpreis_werte['text'];
					
			$text2 = preg_replace('/<-Gesamtpreis->/', $finaler_preis, $text2);
			
			if ($Kundennummer != ""){
				$text2 = preg_replace('/<-Kundennummer->/', $Kundennummer, $text2);
			}
			else{
				$text2 = preg_replace('/<-Kundennummer->/', $oID, $text2);
			}
			$text2 = preg_replace('/<-Kundenname->/', $kunden_name, $text2);
			
			echo $text2;
		}  
		else{              
            		echo TEXT_SUCCESS; 
   }      
            
            
            ?><br><br>
<?php
  if ($guest_member == false) { 
			
    if ($global['global_item_informs'] != '1') {
    	if (SHOW_ITEMS_NEWS_OF_LAST_SITE == "true"){
	      echo TEXT_NOTIFY_ITEMS . '<br><p class="itemsNotifications">';
	      $items_displayed = array();
	      for ($i=0, $n=sizeof($items_array); $i<$n; $i++) {
	        if (!in_array($items_array[$i]['id'], $items_displayed)) {
	          echo go_fetch_checkbox_field('notify[]', $items_array[$i]['id']) . ' ' . $items_array[$i]['text'] . '<br>';
	          $items_displayed[] = $items_array[$i]['id'];
	        }
	      }
	      echo '</p>';
	    }
    } else {
      echo TEXT_SEE_ORDERS . '<br><br>' . TEXT_CONTACT_SHOP_OWNER;
    }
  } else { 
    echo TEXT_GUEST_ORDERS . '<br><br>' . TEXT_CONTACT_SHOP_OWNER;
  } 
?>
<?php
	if (isset($duplication_error)) {
		print '<br><br>'.ERROR_POSSIBLY_DUPLICATED_ORDER.'<br><br>'."\n";
	}
?>
            <h3><?php echo TEXT_THANKS_FOR_SHOPPING; ?></h3>
	</td>
	</tr>
        </table></td>
      </tr>
<?php require($GLOBALS[CONFIG_NAME_FILE][main_bigware_1]); ?>      
      <tr>
        <td><?php echo go_fetch_dividing_up('tranparentes.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td align="right" class="main"><?php echo go_picture_submit('button_continue.gif', PICTURE_BUTTON_CONTINUE); ?></td>
      </tr>
      <tr>
        <td><?php echo go_fetch_dividing_up('tranparentes.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" style="width:100%" cellspacing="0" cellpadding="0">
          <tr>
            <td style="width:25%"><table border="0" style="width:100%" cellspacing="0" cellpadding="0">
              <tr>
                <td style="width:50%" align="right"><?php echo go_fetch_dividing_up('pixel_silver.gif', '1', '5'); ?></td>
                <td style="width:50%"><?php echo go_fetch_dividing_up('pixel_silver.gif', '100%', '1'); ?></td>
              </tr>
            </table></td>
            <td style="width:25%"><?php echo go_fetch_dividing_up('pixel_silver.gif', '100%', '1'); ?></td>
            <td style="width:25%"><?php echo go_fetch_dividing_up('pixel_silver.gif', '100%', '1'); ?></td>
            <td style="width:25%"><table border="0" style="width:100%" cellspacing="0" cellpadding="0">
              <tr>
                <td style="width:50%"><?php echo go_fetch_dividing_up('pixel_silver.gif', '100%', '1'); ?></td>
                <td style="width:50%"><?php echo go_picture(FOLDER_RELATIV_PIC_SYSTEM_TEMPLATES . 'checkout_bullet.gif'); ?></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td align="center" style="width:25%" class="checkoutBarFrom"><?php echo CHECKOUT_BAR_DELIVERY; ?></td>
            <td align="center" style="width:25%" class="checkoutBarFrom"><?php echo CHECKOUT_BAR_PAYMENT; ?></td>
            <td align="center" style="width:25%" class="checkoutBarFrom"><?php echo CHECKOUT_BAR_CONFIRMATION; ?></td>
            <td align="center" style="width:25%" class="checkoutBarCurrent"><?php echo CHECKOUT_BAR_FINISHED; ?></td>
          </tr>
        </table></td>
      </tr>
<?php if (DOWNLOAD_ENABLED == 'true') include(FOLDER_RELATIV_MODULES . 'mods_bigware_6.php'); ?>
    </table></form>
